POST
/v1/mgmt/flow/template/list

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

List all available flow templates

curl -X POST "https://api.descope.com/v1/mgmt/flow/template/list" \  -H "Content-Type: application/json" \  -d '{}'
{  "templates": [    {      "id": "string",      "name": "string",      "description": "string",      "dsl": {},      "modifiedTime": "string",      "etag": "string",      "tags": [        "string"      ],      "methods": [        "string"      ],      "screens": [        {          "id": "string",          "inputs": [            {              "type": "string",              "name": "string",              "required": true,              "visible": true,              "displayName": "string",              "displayType": "string",              "dependsOn": [                "string"              ],              "nameValueMap": {},              "contextAware": true,              "options": [                {                  "value": "string",                  "label": "string"                }              ],              "defaultValue": "string",              "helperText": "string"            }          ],          "interactions": [            {              "id": "string",              "type": "string",              "label": "string",              "icon": "string",              "subType": "string"            }          ],          "htmlTemplate": {}        }      ],      "keywords": [        "string"      ]    }  ],  "total": 0}
export interface Response {templates?: FlowTemplate[]total?: number}export interface FlowTemplate {id?: stringname?: stringdescription?: stringdsl?: {}modifiedTime?: stringetag?: stringtags?: string[]methods?: string[]screens?: FlowTemplateScreen[]keywords?: string[]}export interface FlowTemplateScreen {id?: stringinputs?: {type?: stringname?: stringrequired?: booleanvisible?: booleandisplayName?: stringdisplayType?: stringdependsOn?: string[]nameValueMap?: {}contextAware?: booleanoptions?: Option[]defaultValue?: stringhelperText?: string}[]interactions?: {id?: stringtype?: stringlabel?: stringicon?: stringsubType?: string}[]htmlTemplate?: {}}export interface Option {value?: stringlabel?: string}
Was this helpful?